# MineSkin will at a later date give you less delay for skin requests, if you fill this in with a valid API you too can take advantage of this!
# This requires you to have a Minecraft account registered with MineSkin, that account must be owned by you and will have its skin changed constantly.
# https://mineskin.org/apikey
MineSkinAPIKey: 'N/A'

# Contact Mojang's servers? Disabling this option will disable player disguises if there's no skin to use!
ContactMojangServers: true
# This controls how the plugin attempts to resolve a playername to a Minecraft UUID
# This can be set to one of the following three options, use %s to inject the name into the string
# * https://api.mojang.com/users/profiles/minecraft/%s
# * https://api.minecraftservices.com/minecraft/profile/lookup/name/%s
# * null - So literally 'null', or an empty string. This will attempt to use the built into the server authlib
# You can set this to another url of your choosing, but if you don't know what you're doing...
UUIDResolvingUrl: 'https://api.mojang.com/users/profiles/minecraft/%s'

# Shall I notify those with the correct permission when there's a LibsDisguises update?
# Disabling this will also disable notifications when the plugin updated
NotifyUpdate: true
# Should the plugin automatically update?
AutoUpdate: true

# Where should the plugin check for updates?
# SAME_BUILDS - Will check snapshots if you're not using a release build
# RELEASES - Only check for actual releases
# SNAPSHOTS - Only check for new snapshots
UpdatesBranch: 'SAME_BUILDS'

# On paper servers in 1.21.4+, plugin updates can be installed with a filename different to the original file.
# This means that "LibsDisguises-5.0.3(4).jar" won't always be the name of the file, it can instead rename to "LibsDisguises-10.0.41.jar".
# If unsupported or set to false, updates will always keep the same original (possibly misleadingly named) filename.
DynamicFilenames: true

# You can also get this information through /libsdisguises config
# Should the plugin output missing config options instead of just counting them
VerboseConfig: false

# Should the plugin output changed config options? Will also list unknown extra options
ChangedConfig: false

# Should the config automatically update itself each time there's a config entry missing?
# The old config will have any custom comments or invalid config entries wiped.
UpdateConfig: true

# You shouldn't need to touch this, but if you do; This was added so scoreboard stuff that affects a certain UUID, will still continue to affect that UUID
# This doesn't affect player disguises as those would be severely impacted
# If you are getting issues using this, please do not report them. You disable this at your own risk.
RandomUUIDs: true

# Player disguises by default generate a unique UUID per disguise, this will disable it if 'false' and may create issues
UniquePlayerUUID: true

# When you for some strange reason don't want PacketEvents to update, enable this!
# Disclaimer: If you enable this, you are responsible for ensuring PacketEvents is up to date.
NeverUpdatePacketEvents: false

# This means that the plugin doesn't need to constantly call Mojang just to find a skin for an offline player
# However some people may prefer to disable this.
# Even if you disable this, if there was disguises in the cache already then it will use them
SaveGameProfiles: true

# This option is useless if you don't enable SaveGameProfiles!
# If a player has been disguised before and their skin saved into the cache
# When they join the server will automatically update the cache in case they changed their skin
UpdateGameProfiles: true

# Disguises have a 'setExpires' option which removes the disguise after a set amount of time
# By default, this is set to false which means it expires 9 minutes afterwards, even if they logged off.
# If true, it means they will experience the full 9 minutes, even if they log on for just a minute per day
# Expired message can be hidden with an empty translation message
DynamicExpiry: false